# TSIP Functions
[TSIP]

## Functions
CSL_IDEF_INLINE Uint32 | CSL_tsipGetPid (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipEmutstSetTestMode (CSL_TsipHandle hTsip, Bool testMode)
CSL_IDEF_INLINE void | CSL_tsipEmutstSelectTestMode (CSL_TsipHandle hTsip, Bool testModeSelect)
CSL_IDEF_INLINE void | CSL_tsipResetSIU (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipResetTDMU_DMATCU (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetClockRedundancy (CSL_TsipHandle hTsip, Bool dualClockMode)
CSL_IDEF_INLINE Bool | CSL_tsipSIUGetClockRedundancy (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUEnableReceive (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUDisableReceive (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE Bool | CSL_tsipSIUIsReceiveEnabled (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUEnableTransmit (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUDisableTransmit (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE Bool | CSL_tsipSIUIsTransmitEnabled (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxClockSource (CSL_TsipHandle hTsip, Uint8 clockSource)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetTxClockSource (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxDataDelay (CSL_TsipHandle hTsip, Uint16 txDataDelay)
CSL_IDEF_INLINE Uint16 | CSL_tsipSIUGetTxDataDelay (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxOutputDelay (CSL_TsipHandle hTsip, Uint8 txOutputDelay)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetTxOutputDelay (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxDisabledState (CSL_TsipHandle hTsip, Uint8 txDisabledState)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetTxDisabledState (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxFrameSyncPolarity (CSL_TsipHandle hTsip, Uint8 txFrameSyncPolarity)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetTxFrameSyncPolarity (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxFrameSyncClockPolarity (CSL_TsipHandle hTsip, Uint8 txFrameSyncClockPolarity)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetTxFrameSyncClockPolarity (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxDataClockPolarity (CSL_TsipHandle hTsip, Uint8 txDataClkPolarity)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetTxDataClockPolarity (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxDataRate (CSL_TsipHandle hTsip, Uint8 txDataRate)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetTxDataRate (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxClockMode (CSL_TsipHandle hTsip, Uint8 txClockMode)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetTxClockMode (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxFrameCount (CSL_TsipHandle hTsip, Uint8 txFrameCount)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetTxFrameCount (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetTxFrameSize (CSL_TsipHandle hTsip, Uint8 txFrameSize)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetTxFrameSize (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetRxClockSource (CSL_TsipHandle hTsip, Uint8 clockSource)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetRxClockSource (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetRxDataDelay (CSL_TsipHandle hTsip, Uint16 rxDataDelay)
CSL_IDEF_INLINE Uint16 | CSL_tsipSIUGetRxDataDelay (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetRxFrameSyncPolarity (CSL_TsipHandle hTsip, Uint8 rxFrameSyncPolarity)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetRxFrameSyncPolarity (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetRxFrameSyncClockPolarity (CSL_TsipHandle hTsip, Uint8 rxFrameSyncClockPolarity)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetRxFrameSyncClockPolarity (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetRxDataClockPolarity (CSL_TsipHandle hTsip, Uint8 rxDataClockPolarity)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetRxDataClockPolarity (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetRxDataRate (CSL_TsipHandle hTsip, Uint8 rxDataRate)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetRxDataRate (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetRxClockMode (CSL_TsipHandle hTsip, Uint8 rxClockMode)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetRxClockMode (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetRxFrameSize (CSL_TsipHandle hTsip, Uint8 rxFrameSize)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetRxFrameSize (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipSIUSetRxFrameCount (CSL_TsipHandle hTsip, Uint8 rxFrameCount)
CSL_IDEF_INLINE Uint8 | CSL_tsipSIUGetRxFrameCount (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipTDMUDisable (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipTDMUEnable (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE Bool | CSL_tsipTDMUIsEnabled (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE Uint32 | CSL_tsipTDMUGetTxFreeRunningCounter (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE Uint32 | CSL_tsipTDMUGetRxFreeRunningCounter (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipTDMUSetEndianess (CSL_TsipHandle hTsip, Uint8 endian)
CSL_IDEF_INLINE Uint8 | CSL_tsipTDMUGetEndianess (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE Uint8 | CSL_tsipTDMUGetTxChannelBitmapStatus (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE Uint8 | CSL_tsipTDMUGetRxChannelBitmapStatus (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipDMATCUSetMaxTransferPriority (CSL_TsipHandle hTsip, Uint8 maxPriority)
CSL_IDEF_INLINE Uint8 | CSL_tsipDMATCUGetMaxTransferPriority (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipDMATCUSetTransferPriority (CSL_TsipHandle hTsip, Uint8 priority)
CSL_IDEF_INLINE Uint8 | CSL_tsipDMATCUGetTransferPriority (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipDMATCUSetTxSuperFrameIntSelection (CSL_TsipHandle hTsip, Uint8 txSFIntSelection)
CSL_IDEF_INLINE Uint8 | CSL_tsipDMATCUGetTxSuperFrameIntSelection (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipDMATCUSetTxFrameIntSelection (CSL_TsipHandle hTsip, Uint8 txIntSelection)
CSL_IDEF_INLINE Uint8 | CSL_tsipDMATCUGetTxFrameIntSelection (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipDMATCUSetTxFrameIntDelay (CSL_TsipHandle hTsip, Uint8 txIntDelay)
CSL_IDEF_INLINE Uint8 | CSL_tsipDMATCUGetTxFrameIntDelay (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipDMATCUSetRxSuperFrameIntSelection (CSL_TsipHandle hTsip, Uint8 rxSFIntSelection)
CSL_IDEF_INLINE Uint8 | CSL_tsipDMATCUGetRxSuperFrameIntSelection (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipDMATCUSetRxFrameIntSelection (CSL_TsipHandle hTsip, Uint8 rxIntSelection)
CSL_IDEF_INLINE Uint8 | CSL_tsipDMATCUGetRxFrameIntSelection (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE void | CSL_tsipDMATCUSetRxFrameIntDelay (CSL_TsipHandle hTsip, Uint8 rxIntDelay)
CSL_IDEF_INLINE Uint8 | CSL_tsipDMATCUGetRxFrameIntDelay (CSL_TsipHandle hTsip)
CSL_IDEF_INLINE Uint8 | CSL_tsipTDMUGetTxChannelStatus (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE Uint8 | CSL_tsipTDMUGetRxChannelStatus (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipTDMUChannelClearOverflowError (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipTDMUChannelClearErrorQueue (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipTDMUChannelPopErrorEntry (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE Uint8 | CSL_tsipTDMUChannelGetErrorCount (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE Bool | CSL_tsipTDMUChannelIsErrorQueueOverflow (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipTDMUChannelGetErrorCodeInfo (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint8 *errCode, Uint32 *errInfo)
CSL_IDEF_INLINE void | CSL_tsipTDMUTxChannelEnable (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipTDMUTxChannelDisable (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE Bool | CSL_tsipTDMUIsTxChannelEnabled (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipTDMUTxChannelSetConfiguration (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint8 cfgInfo)
CSL_IDEF_INLINE Uint8 | CSL_tsipTDMUTxChannelGetConfiguration (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipTDMURxChannelEnable (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipTDMURxChannelDisable (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE Bool | CSL_tsipTDMUIsRxChannelEnabled (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipTDMURxChannelSetConfiguration (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint8 cfgInfo)
CSL_IDEF_INLINE Uint8 | CSL_tsipTDMURxChannelGetConfiguration (CSL_TsipHandle hTsip, Uint8 channelNumber)
CSL_IDEF_INLINE void | CSL_tsipTDMUSetTxChannelAConfig (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint32 memoryBaseAddress, Uint16 frameAllocation, Uint16 frameSize, Uint8 frameCount)
CSL_IDEF_INLINE void | CSL_tsipTDMUGetTxChannelAConfig (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint32 *memoryBaseAddress, Uint16 *frameAllocation, Uint16 *frameSize, Uint8 *frameCount)
CSL_IDEF_INLINE void | CSL_tsipTDMUSetTxChannelBConfig (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint32 memoryBaseAddress, Uint16 frameAllocation, Uint16 frameSize, Uint8 frameCount)
CSL_IDEF_INLINE void | CSL_tsipTDMUGetTxChannelBConfig (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint32 *memoryBaseAddress, Uint16 *frameAllocation, Uint16 *frameSize, Uint8 *frameCount)
CSL_IDEF_INLINE void | CSL_tsipTDMUSetRxChannelAConfig (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint32 memoryBaseAddress, Uint16 frameAllocation, Uint16 frameSize, Uint8 frameCount)
CSL_IDEF_INLINE void | CSL_tsipTDMUGetRxChannelAConfig (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint32 *memoryBaseAddress, Uint16 *frameAllocation, Uint16 *frameSize, Uint8 *frameCount)
CSL_IDEF_INLINE void | CSL_tsipTDMUSetRxChannelBConfig (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint32 memoryBaseAddress, Uint16 frameAllocation, Uint16 frameSize, Uint8 frameCount)
CSL_IDEF_INLINE void | CSL_tsipTDMUGetRxChannelBConfig (CSL_TsipHandle hTsip, Uint8 channelNumber, Uint32 *memoryBaseAddress, Uint16 *frameAllocation, Uint16 *frameSize, Uint8 *frameCount)

## Function Documentation

CSL_IDEF_INLINE Uint8 CSL_tsipDMATCUGetMaxTransferPriority | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipDMATCUGetMaxTransferPriority

Description
This function gets the MAX transfer priority of the DMATCU

Arguments

                hTsip           Handle to TSIP instance

Return Value
Max Transfer Priority of the DMATCU

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_DMATCU_GCTL_MAXPRI

Example

            CSL_TsipHandle      hTsip;
            Uint8               maxPriority;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Max Transfer Priority to be 1
            maxPriority = CSL_tsipDMATCUGetMaxTransferPriority (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipDMATCUGetRxFrameIntDelay | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipDMATCUGetRxFrameIntDelay

Description
This function gets the Rx frame interrupt delay.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Rx Frame Interrupt Delay

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_RCVTDR_RCVFDLY

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxIntDelay;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Receive Transfer Interrupt delay
            rxIntDelay = CSL_tsipDMATCUGetRxFrameIntDelay (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipDMATCUGetRxFrameIntSelection | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipDMATCUGetRxFrameIntSelection

Description
This function gets the Rx frame interrupt selection.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Rx Frame Interrupt Selection.
0 - Interrupt on Transfer ACK
1 - Interrupt on delay count
2 - Interrupt on either Transfer ACK or delay count
3 - Interrupt on both Transfer ACK or delay count

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_RCVTDR_RCVFRINT

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxIntSelection;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Receive Frame interrupt selection
            rxIntSelection = CSL_tsipDMATCUGetRxFrameIntSelection (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipDMATCUGetRxSuperFrameIntSelection | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipDMATCUGetRxSuperFrameIntSelection

Description
This function gets the Rx Super frame interrupt selection.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Rx Superframe Interrupt Selection.
0 - Interrupt on Transfer ACK
1 - Interrupt on delay count
2 - Interrupt on either Transfer ACK or delay count
3 - Interrupt on both Transfer ACK or delay count

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_RCVTDR_RCVFSINT

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxSFIntSelection;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Receive Superframe interrupt Selection.
            rxSFIntSelection = CSL_tsipDMATCUGetRxSuperFrameIntSelection (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipDMATCUGetTransferPriority | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipDMATCUGetTransferPriority

Description
This function gets the transfer priority of the DMATCU

Arguments

                hTsip           Handle to TSIP instance

Return Value
Transfer Priority of the DMATCU

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_DMATCU_GCTL_BASEPRI

Example

            CSL_TsipHandle      hTsip;
            Uint8               priority;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Transfer Priority
            priority = CSL_tsipDMATCUGetTransferPriority (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipDMATCUGetTxFrameIntDelay | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipDMATCUGetTxFrameIntDelay

Description
This function gets the Tx frame interrupt delay.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Tx Frame Interrupt Delay

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_XMTTDR_XMTFDLY

Example

            CSL_TsipHandle      hTsip;
            Uint8               txIntDelay;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Transmit Transfer Interrupt delay
            txIntDelay = CSL_tsipDMATCUSetTxFrameIntDelay (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipDMATCUGetTxFrameIntSelection | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipDMATCUGetTxFrameIntSelection

Description
This function gets the Tx frame interrupt selection.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Tx Frame Interrupt Selection.
0 - Interrupt on Transfer ACK
1 - Interrupt on delay count
2 - Interrupt on either Transfer ACK or delay count
3 - Interrupt on both Transfer ACK or delay count

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_XMTTDR_XMTFRINT

Example

            CSL_TsipHandle      hTsip;
            Uint8               txIntSelection;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Transmit Frame interrupt selection
            txIntSelection = CSL_tsipDMATCUGetTxFrameIntSelection (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipDMATCUGetTxSuperFrameIntSelection | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipDMATCUGetTxSuperFrameIntSelection

Description
This function gets the Tx Super frame interrupt selection.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Tx Superframe Interrupt Selection.
0 - Interrupt on Transfer ACK
1 - Interrupt on delay count
2 - Interrupt on either Transfer ACK or delay count
3 - Interrupt on both Transfer ACK or delay count

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_XMTTDR_XMTFSINT

Example

            CSL_TsipHandle      hTsip;
            Uint8               txSFIntSelection;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Transmit Superframe interrupt Selection.
            txSFIntSelection = CSL_tsipDMATCUGetTxSuperFrameIntSelection (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipDMATCUSetMaxTransferPriority | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | maxPriority |
| ) |  |  |

============================================================================
CSL_tsipDMATCUSetMaxTransferPriority

Description
This function sets the MAX transfer priority of the DMATCU

Arguments

                hTsip           Handle to TSIP instance
                maxPriority     Max Transfer Priority of the DMATCU

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_DMATCU_GCTL_MAXPRI

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Max Transfer Priority to be 1
            CSL_tsipDMATCUSetMaxTransferPriority (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipDMATCUSetRxFrameIntDelay | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | rxIntDelay |
| ) |  |  |

============================================================================
CSL_tsipDMATCUSetRxFrameIntDelay

Description
This function sets the Rx frame interrupt delay.

Arguments

                hTsip               Handle to TSIP instance
                rxIntDelay          Rx Frame Interrupt Delay

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_RCVTDR_RCVFDLY

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Receive Transfer Interrupt delay to be 0
            CSL_tsipDMATCUSetRxFrameIntDelay (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipDMATCUSetRxFrameIntSelection | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | rxIntSelection |
| ) |  |  |

============================================================================
CSL_tsipDMATCUSetRxFrameIntSelection

Description
This function sets the Rx frame interrupt selection.

Arguments

                hTsip               Handle to TSIP instance
                rxIntSelection      Rx Frame Interrupt Selection.
                                    0 - Interrupt on Transfer ACK
                                    1 - Interrupt on delay count
                                    2 - Interrupt on either Transfer ACK or delay count
                                    3 - Interrupt on both Transfer ACK or delay count

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_RCVTDR_RCVFRINT

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Receive Transfer to interrupt only on TRANSFER ACK.
            CSL_tsipDMATCUSetRxFrameIntSelection (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipDMATCUSetRxSuperFrameIntSelection | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | rxSFIntSelection |
| ) |  |  |

============================================================================
CSL_tsipDMATCUSetRxSuperFrameIntSelection

Description
This function sets the Rx Super frame interrupt selection.

Arguments

                hTsip               Handle to TSIP instance
                rxSFIntSelection    Rx Superframe Interrupt Selection.
                                    0 - Interrupt on Transfer ACK
                                    1 - Interrupt on delay count
                                    2 - Interrupt on either Transfer ACK or delay count
                                    3 - Interrupt on both Transfer ACK or delay count

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_RCVTDR_RCVFSINT

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Receive Transfer to interrupt only on TRANSFER ACK.
            CSL_tsipDMATCUSetRxSuperFrameIntSelection (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipDMATCUSetTransferPriority | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | priority |
| ) |  |  |

============================================================================
CSL_tsipDMATCUSetTransferPriority

Description
This function sets the transfer priority of the DMATCU

Arguments

                hTsip           Handle to TSIP instance
                priority        Transfer Priority of the DMATCU

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_DMATCU_GCTL_BASEPRI

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Transfer Priority to be 2
            CSL_tsipDMATCUSetTransferPriority (hTsip, 2);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipDMATCUSetTxFrameIntDelay | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txIntDelay |
| ) |  |  |

============================================================================
CSL_tsipDMATCUSetTxFrameIntDelay

Description
This function sets the Tx frame interrupt delay.

Arguments

                hTsip               Handle to TSIP instance
                txIntDelay          Tx Frame Interrupt Delay

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_XMTTDR_XMTFDLY

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Transmit Transfer Interrupt delay to be 0
            CSL_tsipDMATCUSetTxFrameIntDelay (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipDMATCUSetTxFrameIntSelection | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txIntSelection |
| ) |  |  |

============================================================================
CSL_tsipDMATCUSetTxFrameIntSelection

Description
This function sets the Tx frame interrupt selection.

Arguments

                hTsip               Handle to TSIP instance
                txIntSelection      Tx Frame Interrupt Selection.
                                    0 - Interrupt on Transfer ACK
                                    1 - Interrupt on delay count
                                    2 - Interrupt on either Transfer ACK or delay count
                                    3 - Interrupt on both Transfer ACK or delay count

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_XMTTDR_XMTFRINT

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Transmit Transfer to interrupt only on TRANSFER ACK.
            CSL_tsipDMATCUSetTxFrameIntSelection (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipDMATCUSetTxSuperFrameIntSelection | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txSFIntSelection |
| ) |  |  |

============================================================================
CSL_tsipDMATCUSetTxSuperFrameIntSelection

Description
This function sets the Tx Super frame interrupt selection.

Arguments

                hTsip               Handle to TSIP instance
                txSFIntSelection    Tx Superframe Interrupt Selection.
                                    0 - Interrupt on Transfer ACK
                                    1 - Interrupt on delay count
                                    2 - Interrupt on either Transfer ACK or delay count
                                    3 - Interrupt on both Transfer ACK or delay count

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_XMTTDR_XMTFSINT

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Transmit Transfer to interrupt only on TRANSFER ACK.
            CSL_tsipDMATCUSetTxSuperFrameIntSelection (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipEmutstSelectTestMode | ( | CSL_TsipHandle | hTsip,
|  | Bool | testModeSelect |
| ) |  |  |

============================================================================
CSL_tsipEmutstSelectTestMode

Description
This function selects the test mode for the TSIP.

Arguments

                hTsip           Handle to TSIP instance
                testModeSelect  Flag which selects the test mode; set to 1 for internal
                                link loopback else 0 for external data loopback.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_EMU_TST_LBS

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Enable the test mode for TSIP.
            CSL_tsipEmutstSelectTestMode(hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipEmutstSetTestMode | ( | CSL_TsipHandle | hTsip,
|  | Bool | testMode |
| ) |  |  |

============================================================================
CSL_tsipEmutstSetTestMode

Description
This function sets the test mode for the TSIP.

Arguments

                hTsip           Handle to TSIP instance
                testMode        Flag which determines the test mode; set to TRUE for
                                test mode else FALSE implies normal operating mode.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_EMU_TST_SIUTST

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Enable the test mode for TSIP.
            CSL_tsipEmutstSetTestMode(hTsip, TRUE);
            ...

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_tsipGetPid | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipGetPid

Description
This function returns the PID of TSIP module.

Arguments

                hTsip          Handle to TSIP instance

Return Value
The Module ID Version Information.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_MOD_VER_REVISION

Example

            CSL_TsipHandle      hTsip;
            Uint16              modId;
            Uint16              majorRev;
            Uint16              minorRev;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the TSIP Module PID Information.
            CSL_tsipGetPid(hTsip, &pidInfo);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipResetSIU | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipResetSIU

Description
This function resets the Serial Interface Unit of the TSIP Module.

Arguments

                hTsip          Handle to TSIP instance

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_RESET_SIURST

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Reset the Serial Interface Unit for TSIP Module 0.
            CSL_tsipResetSIU(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipResetTDMU_DMATCU | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipResetTDMU_DMATCU

Description
This function resets the Timeslot Data Management Unit (TDMU)and the Direct Memory Access Transfer Control Unit (DMATCU) of the TSIP Module.

Arguments

                hTsip          Handle to TSIP instance

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_RESET_DMARST=1

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Reset the TDMU and DMATCU for TSIP Module 0.
            CSL_tsipResetTDMU_DMATCU(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUDisableReceive | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUDisableReceive

Description
This function disables the SIU receive

Arguments

                hTsip           Handle to TSIP instance

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_GCTL_RCVENB=0

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Disable the SIU Receive.
            CSL_tsipSIUDisableReceive(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUDisableTransmit | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUDisableTransmit

Description
This function disables the SIU transmit

Arguments

                hTsip           Handle to TSIP instance

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_GCTL_XMTENB=0

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Disable the SIU Transmit.
            CSL_tsipSIUDisableTransmit(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUEnableReceive | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUEnableReceive

Description
This function enables the SIU receive

Arguments

                hTsip           Handle to TSIP instance

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_GCTL_RCVENB=1

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Enable the SIU Receive.
            CSL_tsipSIUEnableReceive(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUEnableTransmit | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUEnableTransmit

Description
This function enables the SIU transmit

Arguments

                hTsip           Handle to TSIP instance

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_GCTL_XMTENB=1

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Enable the SIU Transmit.
            CSL_tsipSIUEnableTransmit(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Bool CSL_tsipSIUGetClockRedundancy | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetClockRedundancy

Description
This function sets the SIU Clock Redundancy Mode for the SIU.

Arguments

                hTsip           Handle to TSIP instance

Return Value
TRUE - Dual Clock Redundancy Mode
FALSE - Redundant Clock Mode.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_GCTL_CLKD

Example

            CSL_TsipHandle      hTsip;
            Bool                clockMode;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the SIU Clock Redundancy Mode.
            clockMode = CSL_tsipSIUGetClockRedundancy(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetRxClockMode | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetRxClockMode

Description
This function gets the receive clock mode.

Arguments

                hTsip            Handle to TSIP instance

Return Value
Receive Clock Mode.
0 - Double Rate Clock
1 - Single Rate Clock

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_RCVCTL_RCVCLKM

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxClockMode;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Receive clock mode
            rxClockMode = CSL_tsipSIUGetRxClockMode (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetRxClockSource | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetRxClockSource

Description
This function gets the SIU Receive Clock Source.

Arguments

                hTsip           Handle to TSIP instance

Return Value
0 - Implies Clock Source A
1 - Implies Clock Source B

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_RCVSEL_RCVSRC

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the SIU Receive Clock Source
            if (CSL_tsipSIUGetRxClockSource(hTsip) == 1)
            {
                // Using Clock Source A
            }
            else
            {
                // Using Clock Source B
            }
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetRxDataClockPolarity | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetRxDataClockPolarity

Description
This function gets the receive frame data clock polarity.

Arguments

                hTsip                   Handle to TSIP instance

Return Value
Receive Data Clock Polarity.
0 - Clock is sampled on the rising edge
1 - Clock is sampled on the falling edge

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_RCVCTL_RCVDCLKP

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxDataClockPolarity;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Receive data clock polarity...
            rxDataClockPolarity = CSL_tsipSIUGetRxDataClockPolarity (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint16 CSL_tsipSIUGetRxDataDelay | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetRxDataDelay

Description
This function gets the transmit data delay.

Arguments

                hTsip           Handle to TSIP instance

Return Value
Transmit Data Delay configured.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_RCVCTL_RCVDATD

Example

            CSL_TsipHandle      hTsip;
            Uint16              rxDataDelay;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Receive Data Delay
            rxDataDelay = CSL_tsipSIUGetRxDataDelay (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetRxDataRate | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetRxDataRate

Description
This function gets the receive frame data rate

Arguments

                hTsip            Handle to TSIP instance

Return Value
Receive Data Rate
0 - Data Rate is 8.192 Mbps
1 - Data Rate is 16.384 Mbps
2 - Data Rate is 32.768 Mbps

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_RCVCTL_RCVDATR

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxDataRate;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Receive data rate to be 8Mbps
            rxDataRate = CSL_tsipSIUGetRxDataRate (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetRxFrameCount | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetRxFrameCount

Description
This function sets the receive frame count

Arguments

                hTsip            Handle to TSIP instance

Return Value
Receive Frame Count.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVSIZ_RCVFCNT

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxFrameCount;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Receive frame count
            rxFrameCount = CSL_tsipSIUGetRxFrameCount (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetRxFrameSize | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetRxFrameSize

Description
This function gets the receive frame size

Arguments

                hTsip            Handle to TSIP instance

Return Value
Receive Frame Size.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_RCVSIZ_RCVFSIZ

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxFrameSize;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Receive frame size
            rxFrameSize = CSL_tsipSIUGetRxFrameSize (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetRxFrameSyncClockPolarity | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetRxFrameSyncClockPolarity

Description
This function gets the receive frame sync clock polarity.

Arguments

                hTsip                   Handle to TSIP instance

Return Value
Receive Frame Sync Polarity
0 - Clock is sampled on the rising edge
1 - Clock is sampled on the falling edge

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVCTL_RCVFCLKP

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxFrameSyncClockPolarity;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Receive frame sync clock polarity
            rxFrameSyncClockPolarity = CSL_tsipSIUGetRxFrameSyncClockPolarity (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetRxFrameSyncPolarity | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetRxFrameSyncPolarity

Description
This function gets the receive frame sync polarity.

Arguments

                hTsip                   Handle to TSIP instance

Return Value
Receive Frame Sync Polarity
0 - Active Low
1 - Active High

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVCTL_RCVFSYNCP

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxFrameSyncPolarity;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Receive frame sync polarity
            rxFrameSyncPolarity = CSL_tsipSIUGetRxFrameSyncPolarity (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetTxClockMode | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxClockMode

Description
This function gets the transmit clock mode.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Transmit Clock Mode
0 - Double Rate Clock
1 - Single Rate Clock

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_XMTCTL_XMTCLKM

Example

            CSL_TsipHandle      hTsip;
            Uint8               txClockMode;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Transmit Clock Mode
            txClockMode = CSL_tsipSIUGetTxClockMode (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetTxClockSource | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxClockSource

Description
This function gets the SIU Transmit Clock Source.

Arguments

                hTsip           Handle to TSIP instance

Return Value
0 - Implies Clock Source A
1 - Implies Clock Source B

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_XMTSEL_XMTSRC

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the SIU Transmit Clock Source
            if (CSL_tsipSIUGetTxClockSource(hTsip) == 1)
            {
                // Using Clock Source A
            }
            else
            {
                // Using Clock Source B
            }
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetTxDataClockPolarity | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxDataClockPolarity

Description
This function gets the transmit data clock polarity.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Transmit Data Clock Polarity
0 - Transmit data is driven on the rising edge
1 - Transmit data is driven on the falling edge

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_XMTCTL_XMTDCLKP

Example

            CSL_TsipHandle      hTsip;
            Uint8               txDataClockPolarity;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Transmit Data Clock Priority.
            txDataClockPolarity = CSL_tsipSIUGetTxDataClockPolarity (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint16 CSL_tsipSIUGetTxDataDelay | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxDataDelay

Description
This function gets the transmit data delay.

Arguments

                hTsip           Handle to TSIP instance

Return Value
Transmit Data Delay configured.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_XMTCTL_XMTDATD

Example

            CSL_TsipHandle      hTsip;
            Uint16              txDataDelay;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Transmit Data Delay
            txDataDelay = CSL_tsipSIUGetTxDataDelay (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetTxDataRate | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxDataRate

Description
This function gets the transmit data rate.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Transmit Data Rate
0 - Data Rate is 8.192 Mbps
1 - Data Rate is 16.384 Mbps
2 - Data Rate is 32.768 Mbps

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_XMTCTL_XMTDATR

Example

            CSL_TsipHandle      hTsip;
            Uint8               txDataRate;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Transmit Data Rate
            txDataRate = CSL_tsipSIUGetTxDataRate (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetTxDisabledState | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxDisabledState

Description
This function gets the transmit disabled state

Arguments

                hTsip               Handle to TSIP instance

Return Value
Transmit Disabled State
0 - High Impedance
1 - Driven Low
2 - Driven High

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_XMTCTL_XMTDIS

Example

            CSL_TsipHandle      hTsip;
            Uint8               txDisabledState;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Transmit Disabled State
            txDisabledState = CSL_tsipSIUGetTxDisabledState (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetTxFrameCount | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxFrameCount

Description
This function gets the transmit frame count.

Arguments

                hTsip            Handle to TSIP instance

Return Value
Transmit Frame Count.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTSIZ_XMTFCNT

Example

            CSL_TsipHandle      hTsip;
            Uint8               txFrameCount;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Transmit Frame Count
            txFrameCount = CSL_tsipSIUGetTxFrameCount (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetTxFrameSize | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxFrameSize

Description
This function gets the transmit frame size.

Arguments

                hTsip            Handle to TSIP instance

Return Value
Transmit Frame Size.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTSIZ_XMTFSIZ

Example

            CSL_TsipHandle      hTsip;
            Uint8               txFrameSize;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Transmit Frame Size
            txFrameSize = CSL_tsipSIUGetTxFrameSize (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetTxFrameSyncClockPolarity | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxFrameSyncClockPolarity

Description
This function gets the transmit frame sync clock polarity.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Transmit Frame Sync Clock Polarity
0 - Frame Sync is sample on rising edge
1 - Frame Sync is sample on falling edge

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_XMTCTL_XMTFCLKP

Example

            CSL_TsipHandle      hTsip;
            Uint8               txFrameSyncClockPolarity;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Transmit Frame Sync Clock Priority.
            txFrameSyncClockPolarity = CSL_tsipSIUGetTxFrameSyncClockPolarity (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetTxFrameSyncPolarity | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxFrameSyncPolarity

Description
This function gets the transmit frame sync polarity.

Arguments

                hTsip               Handle to TSIP instance

Return Value
Transmit Frame Sync Polarity
0 - Active Low
1 - Active High

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_XMTCTL_XMTFSYNCP

Example

            CSL_TsipHandle      hTsip;
            Uint8               txFrameSyncPolarity;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Transmit Frame Sync Priority.
            txFrameSyncPolarity = CSL_tsipSIUGetTxFrameSyncPolarity (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipSIUGetTxOutputDelay | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUGetTxOutputDelay

Description
This function gets the transmit output delay.

Arguments

                hTsip           Handle to TSIP instance

Return Value
0 - No added delay
1 - Output enable is delayed by one half serial clock period.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_XMTCTL_XMTDLY

Example

            CSL_TsipHandle      hTsip;
            Uint16              txOutputDelay;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Get the Transmit Output Delay
            txOutputDelay = CSL_tsipSIUGetTxOutputDelay (hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Bool CSL_tsipSIUIsReceiveEnabled | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUIsReceiveEnabled

Description
This function checks if the SIU receive is enabled or not?

Arguments

                hTsip           Handle to TSIP instance

Return Value
TRUE - SIU Receive is enabled.
FALSE - SIU Receive is disabled.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_GCTL_RCVENB

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Check if SIU receive is enabled or not?
            if (CSL_tsipSIUIsReceiveEnabled(hTsip) == TRUE)
            {
                // Receive is enabled.
            }
            else
            {
                // Receive is disabled.
            }
            ...

=============================================================================

CSL_IDEF_INLINE Bool CSL_tsipSIUIsTransmitEnabled | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipSIUIsTransmitEnabled

Description
This function checks if the SIU transmit is enabled or not?

Arguments

                hTsip           Handle to TSIP instance

Return Value
TRUE - SIU Transmit is enabled.
FALSE - SIU Transmit is disabled.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_SIU_GCTL_XMTENB

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Check if SIU transmit is enabled or not?
            if (CSL_tsipSIUIsTransmitEnabled(hTsip) == TRUE)
            {
                // Transmit is enabled.
            }
            else
            {
                // Transmit is disabled.
            }
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetClockRedundancy | ( | CSL_TsipHandle | hTsip,
|  | Bool | dualClockMode |
| ) |  |  |

============================================================================
CSL_tsipSIUSetClockRedundancy

Description
This function sets the SIU Clock Redundancy Mode for the SIU.

Arguments

                hTsip           Handle to TSIP instance
                dualClockMode   Flag which determines the clock mode; set to TRUE for DUAL Clock mode
                                else FALSE implies Redundant clock mode.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_GCTL_CLKD

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the SIU Clock Redundancy Mode to operate in Dual Clock mode.
            CSL_tsipSIUSetClockRedundancy(hTsip, TRUE);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetRxClockMode | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | rxClockMode |
| ) |  |  |

============================================================================
CSL_tsipSIUSetRxClockMode

Description
This function sets the receive clock mode.

Arguments

                hTsip            Handle to TSIP instance
                rxClockMode      Receive Clock Mode
                                   0   -  Double Rate Clock
                                   1   -  Single Rate Clock

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVCTL_RCVCLKM

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Receive clock mode to be a single rate clock
            CSL_tsipSIUSetRxClockMode (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetRxClockSource | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | clockSource |
| ) |  |  |

============================================================================
CSL_tsipSIUSetRxClockSource

Description
This function sets the SIU Receive Clock Source.

Arguments

                hTsip           Handle to TSIP instance
                clockSource     Clock Source to be used for the SIU Receive
                                Value of 0 implies TCLK_A else TCLK_B

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVSEL_RCVSRC

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the SIU Receive Clock to use TCLK_B & TFS_B
            CSL_tsipSIUSetRxClockSource(hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetRxDataClockPolarity | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | rxDataClockPolarity |
| ) |  |  |

============================================================================
CSL_tsipSIUSetRxDataClockPolarity

Description
This function sets the receive frame data clock polarity.

Arguments

                hTsip                   Handle to TSIP instance
                rxDataClockPolarity     Receive Data Clock Polarity to be configured.
                                            0   -   Clock is sampled on the rising edge
                                            1   -   Clock is sampled on the falling edge

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVCTL_RCVDCLKP

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Receive data clock polarity to be on the falling edge
            CSL_tsipSIUSetRxDataClockPolarity (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetRxDataDelay | ( | CSL_TsipHandle | hTsip,
|  | Uint16 | rxDataDelay |
| ) |  |  |

============================================================================
CSL_tsipSIUSetRxDataDelay

Description
This function sets the receive data delay.

Arguments

                hTsip           Handle to TSIP instance
                rxDataDelay     Receive Data Delay to be configured.

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVCTL_RCVDATD

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Receive Data Delay to be 1023 (Single Rate 8Mbps serial link with 128 time slots)
            CSL_tsipSIUSetRxDataDelay (hTsip, 1023);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetRxDataRate | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | rxDataRate |
| ) |  |  |

============================================================================
CSL_tsipSIUSetRxDataRate

Description
This function sets the receive frame data rate

Arguments

                hTsip            Handle to TSIP instance
                rxDataRate       Receive Data Rate
                                   0   -  Data Rate is 8.192  Mbps
                                   1   -  Data Rate is 16.384 Mbps
                                   2   -  Data Rate is 32.768 Mbps

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVCTL_RCVDATR

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Receive data rate to be 8Mbps
            CSL_tsipSIUSetRxDataRate (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetRxFrameCount | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | rxFrameCount |
| ) |  |  |

============================================================================
CSL_tsipSIUSetRxFrameCount

Description
This function sets the receive frame count

Arguments

                hTsip            Handle to TSIP instance
                rxFrameCount     Receive Frame Count

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVSIZ_RCVFCNT

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Receive frame count to be 8
            CSL_tsipSIUSetRxFrameCount (hTsip, 8);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetRxFrameSize | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | rxFrameSize |
| ) |  |  |

============================================================================
CSL_tsipSIUSetRxFrameSize

Description
This function sets the receive frame size

Arguments

                hTsip            Handle to TSIP instance
                rxFrameSize      Receive Frame Size

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVSIZ_RCVFSIZ

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Receive frame size to be 8
            CSL_tsipSIUSetRxFrameSize (hTsip, 8);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetRxFrameSyncClockPolarity | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | rxFrameSyncClockPolarity |
| ) |  |  |

============================================================================
CSL_tsipSIUSetRxFrameSyncClockPolarity

Description
This function sets the receive frame sync clock polarity.

Arguments

                hTsip                       Handle to TSIP instance
                rxFrameSyncClockPolarity    Receive Frame Sync Polarity to be configured.
                                            0   -   Clock is sample on the rising edge
                                            1   -   Clock is sample on the falling edge

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVCTL_RCVFCLKP

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Receive frame sync clock polarity to be on the falling edge
            CSL_tsipSIUSetRxFrameSyncClockPolarity (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetRxFrameSyncPolarity | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | rxFrameSyncPolarity |
| ) |  |  |

============================================================================
CSL_tsipSIUSetRxFrameSyncPolarity

Description
This function sets the receive frame sync polarity.

Arguments

                hTsip                   Handle to TSIP instance
                rxFrameSyncPolarity     Receive Frame Sync Polarity to be configured.
                                        0   -   Active Low
                                        1   -   Active High

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_RCVCTL_RCVFSYNCP

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Receive frame sync polarity to be active low
            CSL_tsipSIUSetRxFrameSyncPolarity (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxClockMode | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txClockMode |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxClockMode

Description
This function sets the transmit clock mode

Arguments

                hTsip            Handle to TSIP instance
                txClockMode      Transmit Clock Mode
                                   0   -  Double Rate Clock
                                   1   -  Single Rate Clock

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTCTL_XMTCLKM

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Transmit Clock Mode to be Single Rate
            CSL_tsipSIUSetTxClockMode (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxClockSource | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | clockSource |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxClockSource

Description
This function sets the SIU Transmit Clock Source.

Arguments

                hTsip           Handle to TSIP instance
                clockSource     Clock Source to be used for the SIU Transmit
                                Value of 0 implies TCLK_A else TCLK_B

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTSEL_XMTSRC

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the SIU Transmit Clock to use TCLK_B & TFS_B
            CSL_tsipSIUSetTxClockSource(hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxDataClockPolarity | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txDataClkPolarity |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxDataClockPolarity

Description
This function sets the transmit data clock polarity.

Arguments

                hTsip                   Handle to TSIP instance
                txDataClkPolarity       Transmit Frame Data Clock Polarity to be configured.
                                        0   -   Transmit data is driven on the rising edge
                                        1   -   Transmit data is driven on the falling edge

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTCTL_XMTDCLKP

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Transmit Data Clock Priority to be done on the rising edge of TCLK
            CSL_tsipSIUSetTxDataClockPolarity (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxDataDelay | ( | CSL_TsipHandle | hTsip,
|  | Uint16 | txDataDelay |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxDataDelay

Description
This function sets the transmit data delay.

Arguments

                hTsip           Handle to TSIP instance
                txDataDelay     Transmit Data Delay to be configured.

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTCTL_XMTDATD

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Transmit Data Delay to be 1023 (Single Rate 8Mbps serial link with 128 time slots)
            CSL_tsipSIUSetTxDataDelay (hTsip, 1023);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxDataRate | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txDataRate |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxDataRate

Description
This function sets the transmit data rate

Arguments

                hTsip            Handle to TSIP instance
                txDataRate       Transmit Data Rate
                                   0   -  Data Rate is 8.192  Mbps
                                   1   -  Data Rate is 16.384 Mbps
                                   2   -  Data Rate is 32.768 Mbps

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTCTL_XMTDATR

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Transmit Data Rate to be 8.192 Mbps.
            CSL_tsipSIUSetTxDataRate (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxDisabledState | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txDisabledState |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxDisabledState

Description
This function sets the transmit disabled state

Arguments

                hTsip               Handle to TSIP instance
                txDisabledState     Transmit Disabled State
                                    0 - High Impedance
                                    1 - Driven Low
                                    2 - Driven High

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTCTL_XMTDIS

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Transmit Disabled State for High Impedance
            CSL_tsipSIUSetTxDisabledState (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxFrameCount | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txFrameCount |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxFrameCount

Description
This function sets the transmit frame count.

Arguments

                hTsip            Handle to TSIP instance
                txFrameCount     Transmit Frame Count

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTSIZ_XMTFCNT

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Transmit Frame Count to 8
            CSL_tsipSIUSetTxFrameCount (hTsip, 8);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxFrameSize | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txFrameSize |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxFrameSize

Description
This function sets the transmit frame size

Arguments

                hTsip          Handle to TSIP instance
                txFrameSize    Transmit Frame Size

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTSIZ_XMTFSIZ

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Transmit Frame Size to 8
            CSL_tsipSIUSetTxFrameSize (hTsip, 8);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxFrameSyncClockPolarity | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txFrameSyncClockPolarity |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxFrameSyncClockPolarity

Description
This function sets the transmit frame sync clock polarity.

Arguments

                hTsip                   Handle to TSIP instance
                txFrameSyncClkPolarity  Transmit Frame Sync Clock Polarity to be configured.
                                        0   -   Frame Sync is sample on rising edge
                                        1   -   Frame Sync is sample on falling edge

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTCTL_XMTFCLKP

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Transmit Frame Sync Clock Priority to be sampled on the falling edge
            CSL_tsipSIUSetTxFrameSyncClockPolarity (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxFrameSyncPolarity | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txFrameSyncPolarity |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxFrameSyncPolarity

Description
This function sets the transmit frame sync polarity.

Arguments

                hTsip                   Handle to TSIP instance
                txFrameSyncPolarity     Transmit Frame Sync Polarity to be configured.
                                        0   -   Active Low
                                        1   -   Active High

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTCTL_XMTFSYNCP

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Transmit Frame Sync Priority to be ACTIVE HIGH
            CSL_tsipSIUSetTxFrameSyncPolarity (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipSIUSetTxOutputDelay | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | txOutputDelay |
| ) |  |  |

============================================================================
CSL_tsipSIUSetTxOutputDelay

Description
This function sets the transmit output delay.

Arguments

                hTsip           Handle to TSIP instance
                txOutputDelay   Transmit Output Delay to be configured.
                                Value of 0 implies no added delay else the
                                output enable is delayed by one-half serial clock
                                period.

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_SIU_XMTCTL_XMTDLY

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Set the Transmit Output delay for no added delay.
            CSL_tsipSIUSetTxOutputDelay (hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUChannelClearErrorQueue | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUChannelClearErrorQueue

Description
This function clears the error queue.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Channel Number for which the error is to be cleared.

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_CH0ECR_CH0CLRQ=1

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Clear the error queue on Channel 2
            CSL_tsipTDMUChannelClearErrorQueue (hTsip, 2);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUChannelClearOverflowError | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUChannelClearOverflowError

Description
This function clears the error queue overflow.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Channel Number for which the error is to be cleared.

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_CH0ECR_CH0CEQOV=1

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Clear the overflow error on Channel 1
            CSL_tsipTDMUChannelClearOverflowError (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUChannelGetErrorCodeInfo | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint8 * | errCode,
|  | Uint32 * | errInfo |
| ) |  |  |

============================================================================
CSL_tsipTDMUChannelGetErrorCodeInfo

Description
This function gets the error code and information for a specific channel.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Channel Number for which the error info is required
                errCode         Error Code populated by this API
                errInfo         Error Information populated by this API

Return Value
Error Code and Information is populated.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_CH0EQR_CH0ERRC, TSIP_CH0EQR_CH0INFO

Example

            CSL_TsipHandle      hTsip;
            Uint8               errCode;
            Uint32              errInfo;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Error Code and Information for Channel 1
            CSL_tsipTDMUChannelGetErrorCodeInfo (hTsip, 1, &errCode, &errInfo);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipTDMUChannelGetErrorCount | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUChannelGetErrorCount

Description
This function gets the number of entries in the error queue.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Channel Number for which the error queue is to read

Return Value
Number of entries in the error queue.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_CH0ERRS_CH0ECNT

Example

            CSL_TsipHandle      hTsip;
            Uint8               errCount;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the number of error entries for channel 3
            errCount = CSL_tsipTDMUChannelGetErrorCount (hTsip, 3);
            ...

=============================================================================

CSL_IDEF_INLINE Bool CSL_tsipTDMUChannelIsErrorQueueOverflow | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUChannelIsErrorQueueOverflow

Description
This function checks if the error queue for a specific channel has overflown or not?

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Channel Number for which the overflow is to be checked

Return Value
Error Queue Overflow status
TRUE - Error Queue Overflown
FALSE - Error Queue has *not* Overflown

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_CH0ERRS_CH0EQOV

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Check if there is an overflow error on Channel 4
            if(CSL_tsipTDMUChannelIsErrorQueueOverflow (hTsip, 4) == TRUE)
            {
                // Error Queue has overflow on channel 4.
            }
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUChannelPopErrorEntry | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUChannelPopErrorEntry

Description
This function pops the top error entry off the error queue.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Channel Number for which the error is to be popped off.

Return Value
None.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_CH0ECR_CH0POPQ=1

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Pop the error off channel 3.
            CSL_tsipTDMUChannelPopErrorEntry (hTsip, 3);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUDisable | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipTDMUDisable

Description
This function is used to disable the TDMU and DMATCU

Arguments

                hTsip            Handle to TSIP instance

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_TDMU_GCTL_DMAENB=0

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Disable the TDMU and DMATCU
            CSL_tsipTDMUDisable(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUEnable | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipTDMUEnable

Description
This function is used to enable the TDMU and DMATCU

Arguments

                hTsip            Handle to TSIP instance

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_TDMU_GCTL_DMAENB=1

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Enable the TDMU and DMATCU
            CSL_tsipTDMUEnable(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipTDMUGetEndianess | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipTDMUGetEndianess

Description
This function gets the endian mode in which the TDMU operates.

Arguments

                hTsip            Handle to TSIP instance

Return Value
Endianess
0 - Little Endian
1 - Big Endian

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_TDMU_GECTL_BEND

Example

            CSL_TsipHandle      hTsip;
            Uint8               endian;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the endianess
            endian = CSL_tsipTDMUGetEndianess(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUGetRxChannelAConfig | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint32 * | memoryBaseAddress,
|  | Uint16 * | frameAllocation,
|  | Uint16 * | frameSize,
|  | Uint8 * | frameCount |
| ) |  |  |

============================================================================
CSL_tsipTDMUGetRxChannelAConfig

Description
This function gets the receive channel A configuration

Arguments

                hTsip               Handle to TSIP instance
                channelNumber       Rx Channel Number
                memoryBaseAddress   Memory Base Address populated by this API
                frameAllocation     Frame Allocation populated by this API
                frameSize           Number of bytes to transfer for each frame populated by this API
                frameCount          Number of frames in a buffer populated by this API

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_RCVCHNCON_ABA_0_RXC0AMEMBASEADR;TSIP_RCVCHNCON_AFA_0_RXC0AFRAMEALLOC; TSIP_RCVCHNCON_AFS_0_RXC0AFSIZE;TSIP_RCVCHNCON_AFC_0_RXC0AFCOUNT

Example

            CSL_TsipHandle      hTsip;
            Uint32              memoryBaseAddress;
            Uint16              frameAllocation;
            Uint16              frameSize;
            Uint8               frameCount;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Configuration for Rx Channel(A) 1
            CSL_tsipTDMUGetRxChannelAConfig (hTsip, 1, &memoryBaseAddress,
                                             &frameAllocation, &frameSize, &frameCount);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUGetRxChannelBConfig | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint32 * | memoryBaseAddress,
|  | Uint16 * | frameAllocation,
|  | Uint16 * | frameSize,
|  | Uint8 * | frameCount |
| ) |  |  |

============================================================================
CSL_tsipTDMUGetRxChannelBConfig

Description
This function gets the receive channel B configuration

Arguments

                hTsip               Handle to TSIP instance
                channelNumber       Rx Channel Number
                memoryBaseAddress   Memory Base Address populated by this API
                frameAllocation     Frame Allocation populated by this API
                frameSize           Number of bytes to transfer for each frame populated by this API
                frameCount          Number of frames in a buffer populated by this API

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_RCVCHNCON_BBA_0_RXC0BMEMBASEADR;TSIP_RCVCHNCON_BFA_0_RXC0BFRAMEALLOC; TSIP_RCVCHNCON_BFS_0_RXC0BFSIZE;TSIP_RCVCHNCON_BFC_0_RXC0BFCOUNT

Example

            CSL_TsipHandle      hTsip;
            Uint32              memoryBaseAddress;
            Uint16              frameAllocation;
            Uint16              frameSize;
            Uint8               frameCount;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Configuration for Rx Channel(B) 1
            CSL_tsipTDMUGetRxChannelBConfig (hTsip, 1, &memoryBaseAddress,
                                             &frameAllocation, &frameSize, &frameCount);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipTDMUGetRxChannelBitmapStatus | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUGetRxChannelBitmapStatus

Description
This function gets the receive channel bitmap status.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Rx Channel Number whose status is to be enquired.

Return Value
Channel Status
0x0 - Both Bitmap A and B are inactive.
0x1 - Bitmap A is active and Bitmap B is inactive
0x2 - Bitmap A is inactive and Bitmap B is active

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
RCVCBAS

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxChannelStatus;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Receive Channel Status of Channel 0
            rxChannelStatus = CSL_tsipTDMUGetRxChannelBitmapStatus(hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipTDMUGetRxChannelStatus | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUGetRxChannelStatus

Description
This function gets the receive channel status.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Rx Channel Number whose status is to be enquired.

Return Value
Channel Status
0x0 - Both Configurations A and B are inactive.
0x1 - Configuration A is active and Configuration B is inactive
0x2 - Configuration A is inactive and Configuration B is active

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
RCVCCAS

Example

            CSL_TsipHandle      hTsip;
            Uint8               rxChannelStatus;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Receive Channel Status of Channel 0
            rxChannelStatus = CSL_tsipTDMUGetRxChannelStatus(hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_tsipTDMUGetRxFreeRunningCounter | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipTDMUGetRxFreeRunningCounter

Description
This function gets the receive free running frame counter

Arguments

                hTsip            Handle to TSIP instance

Return Value
Receive Free Running Frame Counter.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_RCVFRFC_RXFRFC

Example

            CSL_TsipHandle      hTsip;
            Uint32              rxCounter;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the receive free running frame counter.
            rxCounter = CSL_tsipTDMUGetRxFreeRunningCounter(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUGetTxChannelAConfig | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint32 * | memoryBaseAddress,
|  | Uint16 * | frameAllocation,
|  | Uint16 * | frameSize,
|  | Uint8 * | frameCount |
| ) |  |  |

============================================================================
CSL_tsipTDMUGetTxChannelAConfig

Description
This function gets the transmit channel A configuration

Arguments

                hTsip               Handle to TSIP instance
                channelNumber       Tx Channel Number
                memoryBaseAddress   Memory Base Address populated by this API
                frameAllocation     Frame Allocation populated by this API
                frameSize           Number of bytes to transfer for each frame populated by this API
                frameCount          Number of frames in a buffer populated by this API

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_XMTCHNCON_ABA_0_TXC0AMEMBASEADR;TSIP_XMTCHNCON_AFA_0_TXC0AFRAMEALLOC; TSIP_XMTCHNCON_AFS_0_TXC0AFSIZE;TSIP_XMTCHNCON_AFC_0_TXC0AFCOUNT

Example

            CSL_TsipHandle      hTsip;
            Uint32              memoryBaseAddress;
            Uint16              frameAllocation;
            Uint16              frameSize;
            Uint8               frameCount;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Configuration for Tx Channel(A) 1
            CSL_tsipTDMUGetTxChannelAConfig (hTsip, 1, &memoryBaseAddress,
                                             &frameAllocation, &frameSize, &frameCount);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUGetTxChannelBConfig | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint32 * | memoryBaseAddress,
|  | Uint16 * | frameAllocation,
|  | Uint16 * | frameSize,
|  | Uint8 * | frameCount |
| ) |  |  |

============================================================================
CSL_tsipTDMUGetTxChannelBConfig

Description
This function gets the transmit channel B configuration

Arguments

                hTsip               Handle to TSIP instance
                channelNumber       Tx Channel Number
                memoryBaseAddress   Memory Base Address populated by this API
                frameAllocation     Frame Allocation populated by this API
                frameSize           Number of bytes to transfer for each frame populated by this API
                frameCount          Number of frames in a buffer populated by this API

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_XMTCHNCON_BBA_0_TXC0BMEMBASEADR;TSIP_XMTCHNCON_BFA_0_TXC0BFRAMEALLOC; TSIP_XMTCHNCON_BFS_0_TXC0BFSIZE;TSIP_XMTCHNCON_BFC_0_TXC0BFCOUNT

Example

            CSL_TsipHandle      hTsip;
            Uint32              memoryBaseAddress;
            Uint16              frameAllocation;
            Uint16              frameSize;
            Uint8               frameCount;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Configuration for Tx Channel(B) 1
            CSL_tsipTDMUGetTxChannelBConfig (hTsip, 1, &memoryBaseAddress,
                                             &frameAllocation, &frameSize, &frameCount);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipTDMUGetTxChannelBitmapStatus | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUGetTxChannelBitmapStatus

Description
This function gets the transmit channel bitmap status.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Tx Channel Number whose status is to be enquired.

Return Value
Channel Status
0x0 - Both Bitmap A and B are inactive.
0x1 - Bitmap A is active and Bitmap B is inactive
0x2 - Bitmap A is inactive and Bitmap B is active

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
XMTCBAS

Example

            CSL_TsipHandle      hTsip;
            Uint8               txChannelStatus;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Transmit Channel Status of Channel 0
            txChannelStatus = CSL_tsipTDMUGetTxChannelBitmapStatus(hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipTDMUGetTxChannelStatus | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUGetTxChannelStatus

Description
This function gets the transmit channel status.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Tx Channel Number whose status is to be enquired.

Return Value
Channel Status
0x0 - Both Configurations A and B are inactive.
0x1 - Configuration A is active and Configuration B is inactive
0x2 - Configuration A is inactive and Configuration B is active

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
XMTCCAS

Example

            CSL_TsipHandle      hTsip;
            Uint8               txChannelStatus;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Transmit Channel Status of Channel 0
            txChannelStatus = CSL_tsipTDMUGetTxChannelStatus(hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE Uint32 CSL_tsipTDMUGetTxFreeRunningCounter | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipTDMUGetTxFreeRunningCounter

Description
This function gets the transmit free running frame counter

Arguments

                hTsip            Handle to TSIP instance

Return Value
Transmit Free Running Frame Counter.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_XMTFRFC_TXFRFC

Example

            CSL_TsipHandle      hTsip;
            Uint32              txCounter;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the transmit free running frame counter.
            txCounter = CSL_tsipTDMUGetTxFreeRunningCounter(hTsip);
            ...

=============================================================================

CSL_IDEF_INLINE Bool CSL_tsipTDMUIsEnabled | ( | CSL_TsipHandle | hTsip | ) |

============================================================================
CSL_tsipTDMUIsEnabled

Description
This function is used to check if the TDMU and DMATCU is enabled or not?

Arguments

                hTsip            Handle to TSIP instance

Return Value
Status of the TDMU and DMATCU
TRUE - TDMU/DMATCU are enabled and running
FALSE - TDMU/DMATCU are disabled and stopped

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_TDMU_GCTL_DMAENB

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);

            // Is the TDMU and DMATCU enabled?
            if (CSL_tsipTDMUIsEnabled(hTsip) == TRUE)
            {
                // TDMU and DMATCU is enabled and running.
            }
            ...

=============================================================================

CSL_IDEF_INLINE Bool CSL_tsipTDMUIsRxChannelEnabled | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUIsRxChannelEnabled

Description
This function checks if the specific receive channel is enabled or not?

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Rx Channel Number whose status is being enquired.

Return Value
Status of the Receive Channel.
TRUE - Channel is enabled.
FALSE - Channel is disabled.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_RCVCHNEN_0_RXCH0ENB

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Check the status of channel 1
            if (CSL_tsipTDMUIsRxChannelEnabled (hTsip, 1) == FALSE)
            {
                // Channel 1 is disabled...
            }
            ...

=============================================================================

CSL_IDEF_INLINE Bool CSL_tsipTDMUIsTxChannelEnabled | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUIsTxChannelEnabled

Description
This function checks if the specific transmit channel is enabled or not?

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Tx Channel Number whose status is being enquired.

Return Value
Status of the Transmit Channel.
TRUE - Channel is enabled.
FALSE - Channel is disabled.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_XMTCHNEN_0_TXCH0ENB

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Check the status of channel 1
            if (CSL_tsipTDMUIsTxChannelEnabled (hTsip, 1) == FALSE)
            {
                // Channel 1 is disabled...
            }
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMURxChannelDisable | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMURxChannelDisable

Description
This function disables the specific receive channel.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Rx Channel Number which is to be disabled.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_RCVCHNEN_0_RXCH0ENB=0

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Disable Rx Channel 1.
            CSL_tsipTDMURxChannelDisable (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMURxChannelEnable | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMURxChannelEnable

Description
This function enables the specific receive channel.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Rx Channel Number which is to be enabled.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_RCVCHNEN_0_RXCH0ENB=1

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Enable Rx Channel 1.
            CSL_tsipTDMURxChannelEnable (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipTDMURxChannelGetConfiguration | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMURxChannelGetConfiguration

Description
This function gets the receive channel configuration identification.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Rx Channel Number for which the CFG Id is to be retrieved.

Return Value
Configuration Information associated with the channel.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_RCVCHNEN_0_RXC0ID

Example

            CSL_TsipHandle      hTsip;
            Uint8               cfgInfo;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Configuration Information for Rx Channel 1
            cfgInfo = CSL_tsipTDMURxChannelGetConfiguration (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMURxChannelSetConfiguration | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint8 | cfgInfo |
| ) |  |  |

============================================================================
CSL_tsipTDMURxChannelSetConfiguration

Description
This function sets the receive channel configuration identification.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Rx Channel Number for which the CFG Id is to be set.
                cfgInfo         Configuration Information to be configured.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_RCVCHNEN_0_RXC0ID

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Configuration Information for Rx Channel 1 to use B
            CSL_tsipTDMURxChannelSetConfiguration (hTsip, 1, 0x1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUSetEndianess | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | endian |
| ) |  |  |

============================================================================
CSL_tsipTDMUSetEndianess

Description
This function sets the endian mode in which the TDMU operates.

Arguments

                hTsip            Handle to TSIP instance
                endian           Endianess for the TDMU
                                    0 - Little Endian
                                    1 - Big Endian

Return Value
Receive Free Running Frame Counter.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_TDMU_GECTL_BEND

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the endianess to operate in Little Endian
            CSL_tsipTDMUSetEndianess(hTsip, 0);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUSetRxChannelAConfig | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint32 | memoryBaseAddress,
|  | Uint16 | frameAllocation,
|  | Uint16 | frameSize,
|  | Uint8 | frameCount |
| ) |  |  |

============================================================================
CSL_tsipTDMUSetRxChannelAConfig

Description
This function sets the receive channel A configuration

Arguments

                hTsip               Handle to TSIP instance
                channelNumber       Rx Channel Number
                memoryBaseAddress   Memory Base Address
                frameAllocation     Frame Allocation
                frameSize           Number of bytes to transfer for each frame
                frameCount          Number of frames in a buffer.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_RCVCHNCON_ABA_0_RXC0AMEMBASEADR;TSIP_RCVCHNCON_AFA_0_RXC0AFRAMEALLOC; TSIP_RCVCHNCON_AFS_0_RXC0AFSIZE;TSIP_RCVCHNCON_AFC_0_RXC0AFCOUNT

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Configuration for Rx Channel(A) 1
            CSL_tsipTDMUSetRxChannelAConfig (hTsip, 1, 0x8000000, 0x1000, 0x128, 10);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUSetRxChannelBConfig | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint32 | memoryBaseAddress,
|  | Uint16 | frameAllocation,
|  | Uint16 | frameSize,
|  | Uint8 | frameCount |
| ) |  |  |

============================================================================
CSL_tsipTDMUSetRxChannelBConfig

Description
This function sets the receive channel B configuration

Arguments

                hTsip               Handle to TSIP instance
                channelNumber       Rx Channel Number
                memoryBaseAddress   Memory Base Address
                frameAllocation     Frame Allocation
                frameSize           Number of bytes to transfer for each frame
                frameCount          Number of frames in a buffer.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_RCVCHNCON_BBA_0_RXC0BMEMBASEADR;TSIP_RCVCHNCON_BFA_0_RXC0BFRAMEALLOC; TSIP_RCVCHNCON_BFS_0_RXC0BFSIZE;TSIP_RCVCHNCON_BFC_0_RXC0BFCOUNT

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Configuration for Rx Channel(B) 1
            CSL_tsipTDMUSetRxChannelBConfig (hTsip, 1, 0x8000000, 0x1000, 0x128, 10);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUSetTxChannelAConfig | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint32 | memoryBaseAddress,
|  | Uint16 | frameAllocation,
|  | Uint16 | frameSize,
|  | Uint8 | frameCount |
| ) |  |  |

============================================================================
CSL_tsipTDMUSetTxChannelAConfig

Description
This function sets the transmit channel A configuration

Arguments

                hTsip               Handle to TSIP instance
                channelNumber       Tx Channel Number
                memoryBaseAddress   Memory Base Address
                frameAllocation     Frame Allocation
                frameSize           Number of bytes to transfer for each frame
                frameCount          Number of frames in a buffer.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_XMTCHNCON_ABA_0_TXC0AMEMBASEADR;TSIP_XMTCHNCON_AFA_0_TXC0AFRAMEALLOC; TSIP_XMTCHNCON_AFS_0_TXC0AFSIZE;TSIP_XMTCHNCON_AFC_0_TXC0AFCOUNT

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Configuration for Tx Channel(A) 1
            CSL_tsipTDMUSetTxChannelAConfig (hTsip, 1, 0x8000000, 0x1000, 0x128, 10);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUSetTxChannelBConfig | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint32 | memoryBaseAddress,
|  | Uint16 | frameAllocation,
|  | Uint16 | frameSize,
|  | Uint8 | frameCount |
| ) |  |  |

============================================================================
CSL_tsipTDMUSetTxChannelBConfig

Description
This function sets the transmit channel B configuration

Arguments

                hTsip               Handle to TSIP instance
                channelNumber       Tx Channel Number
                memoryBaseAddress   Memory Base Address
                frameAllocation     Frame Allocation
                frameSize           Number of bytes to transfer for each frame
                frameCount          Number of frames in a buffer.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_XMTCHNCON_BBA_0_TXC0BMEMBASEADR;TSIP_XMTCHNCON_BFA_0_TXC0BFRAMEALLOC; TSIP_XMTCHNCON_BFS_0_TXC0BFSIZE;TSIP_XMTCHNCON_BFC_0_TXC0BFCOUNT

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Configuration for Tx Channel(B) 1
            CSL_tsipTDMUSetTxChannelAConfig (hTsip, 1, 0x8000000, 0x1000, 0x128, 10);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUTxChannelDisable | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUTxChannelDisable

Description
This function disables the specific transmit channel.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Tx Channel Number which is to be disabled.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_XMTCHNEN_0_TXCH0ENB=0

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Disable Tx Channel 1.
            CSL_tsipTDMUTxChannelDisable (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUTxChannelEnable | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUTxChannelEnable

Description
This function enables the specific transmit channel.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Tx Channel Number which is to be enabled.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_XMTCHNEN_0_TXCH0ENB=1

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Enable Tx Channel 1.
            CSL_tsipTDMUTxChannelEnable (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE Uint8 CSL_tsipTDMUTxChannelGetConfiguration | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber |
| ) |  |  |

============================================================================
CSL_tsipTDMUTxChannelGetConfiguration

Description
This function gets the transmit channel configuration identification.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Tx Channel Number for which the CFG Id is to be set.

Return Value
Configuration Information associated with the channel.

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Reads
TSIP_XMTCHNEN_0_TXC0ID

Example

            CSL_TsipHandle      hTsip;
            Uint8               cfgInfo;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Get the Configuration Information for Tx Channel 1
            cfgInfo = CSL_tsipTDMUTxChannelGetConfiguration (hTsip, 1);
            ...

=============================================================================

CSL_IDEF_INLINE void CSL_tsipTDMUTxChannelSetConfiguration | ( | CSL_TsipHandle | hTsip,
|  | Uint8 | channelNumber,
|  | Uint8 | cfgInfo |
| ) |  |  |

============================================================================
CSL_tsipTDMUTxChannelSetConfiguration

Description
This function sets the transmit channel configuration identification.

Arguments

                hTsip           Handle to TSIP instance
                channelNumber   Tx Channel Number for which the CFG Id is to be set.
                cfgInfo         Configuration Information to be configured.

Return Value
None

Pre Condition
CSL_tsipOpen() must be called successfully.

Post Condition
None

Writes
TSIP_XMTCHNEN_0_TXC0ID

Example

            CSL_TsipHandle      hTsip;

            // Open the TSIP Module 0
            hTsip = CSL_tsipOpen(0);
            ...
            // Set the Configuration Information for Tx Channel 1 to use B
            CSL_tsipTDMUTxChannelSetConfiguration (hTsip, 1, 0x1);
            ...

=============================================================================

Copyright 2012, Texas Instruments Incorporated